Description

| play on a laptop with a trackpoint, which | use with my right hand. With the modifier key now being right shift (alt worked up to
1.1.0), things like mod-right-click (for fuel transfer) are very awkward.

Ideally alt would work again as the modifier, or the modifier would be configurable.

History

#1 - 04/30/2016 06:46 PM - sal_vager

It can be rebound if you need to, it's in the settings.cfg

MODIFIER_KEY

{
primary = RightShift
secondary = None
group = 0
modeMask = -1
modeMaskSec = -1

}

You can set a primary and secondary key, it couldn't be LeftAlt because that key is reserved for other uses on the supported Linux distribution
Ubuntu.

#2 - 05/03/2016 02:53 AM - ___

Would LeftAlt as secondary break anything on Unity (the DE)?
GNOME-3 seems to only intercept Alt+Click, while Alt+key works.

The proximity to WASD helps when adjusting trim.

#3 - 05/03/2016 08:39 AM - fgv

Intercepting click means it can't be used for e.g. fuel transfer (although you can do that with the new 1.1 window pinning as well). That will just make
things more complicated ("Oh, | need right shift instead of alt, OK. Oh, not for click?").

I'm starting to think that I'd just like to see it configurable via the Ul, and then have the default be something that's likely to work for most people (I'd
like "guaranteed", but that's never going to happen. Especially on linux some people have the weirdest setups, e.g. on my system caps lock switches
windows...)

#4 - 07/17/2016 09:55 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 07/19/2016 03:21 PM - ____
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Cannot be changed from the setting GUI.

#6 - 07/20/2016 11:12 AM - sal_vager
- Subject changed from right shift as the modifier key is hard to use to Rebind modifier in in-game settings
- Status changed from Updated to Confirmed

Yes that's correct, it cannot be changed, it's possible that can be changed however.

Renaming issue and confirming.

| will add though that when LeftAlt is used as the modifier on *buntu distributions several actions are hijacked by the OS, for example all the Alt+F#
keys will have OS instead of KSP actions.

So making and loading named saves becomes a problem, as does using the debug window, the aero overlay and the cheats.

To avoid this when using LeftAlt you would need to change the key used by the OS to grab/move windows and to access help, the run menu and
other features.
